MatrixSymmetryOperation Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSymmetryOperation:

## Public Member Functions

| MatrixSymmetryOperation (MatrixModel *model, Matrix::Operation op, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

MatrixModel * | d_model
Matrix::Operation | d_operation

## Constructor & Destructor Documentation

## MatrixSymmetryOperation()

MatrixSymmetryOperation::MatrixSymmetryOperation | ( | MatrixModel * | model,
|  | Matrix::Operation | op,
|  | const QString & | text
| ) |  |

References MatrixModel::matrix().

## Member Function Documentation

## redo()

void MatrixSymmetryOperation::redo | ( |  | ) |

virtual

References d_model, d_operation, Matrix::FlipHorizontally, MatrixModel::flipHorizontally(), Matrix::FlipVertically, MatrixModel::flipVertically(), Matrix::Invert, MatrixModel::invert(), MatrixModel::matrix(), Matrix::resetView(), MatrixModel::rotate90(), Matrix::RotateClockwise, Matrix::RotateCounterClockwise, Matrix::Transpose, and MatrixModel::transpose().

## undo()

void MatrixSymmetryOperation::undo | ( |  | ) |

virtual

References d_model, d_operation, Matrix::FlipHorizontally, MatrixModel::flipHorizontally(), Matrix::FlipVertically, MatrixModel::flipVertically(), Matrix::Invert, MatrixModel::invert(), MatrixModel::matrix(), Matrix::resetView(), MatrixModel::rotate90(), Matrix::RotateClockwise, Matrix::RotateCounterClockwise, Matrix::Transpose, and MatrixModel::transpose().

## Member Data Documentation

## d_model

MatrixModel* MatrixSymmetryOperation::d_model

private

Referenced by redo(), and undo().

## d_operation

Matrix::Operation MatrixSymmetryOperation::d_operation

private

Referenced by redo(), and undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp